Bug 52772 - urw fonts do not provide cyrillic characters
urw fonts do not provide cyrillic characters
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: urw-fonts (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-28 18:54 EDT by Leonid Kanter
Modified: 2007-04-18 12:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-29 17:31:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
broken gnome desktop after default install (119.33 KB, image/png)
2001-08-28 18:56 EDT, Leonid Kanter
no flags Details
gnome desktop with fonts from ftp.gnome.ru in /usr/share/eel/fonts (129.53 KB, image/png)
2001-08-28 19:01 EDT, Leonid Kanter
no flags Details

  None (edit)
Description Leonid Kanter 2001-08-28 18:54:33 EDT
Description of Problem:

There are no cyrillic glyphs in /usr/share/eel/fonts/*.pfb

Version-Release number of selected component (if applicable):

eel-1.0.1-18

How Reproducible: always


Steps to Reproduce:
1. export LANG=ru_RU.koi8r
2. switchdesk gnome
3. startx

Actual Results:

All nautilus messages will be shown as "????", see screenshot

Expected Results:

cyrillic characters must be in place of "???"

Additional Information:
	
There were no cyrillic fonts with acceptable licence, but currenly there
are such fonts. The coordinator of Russian GNOME team Valek Filippov
frob@df.ru has added cyrillic glyphs to GPL URW fonts, using GPL software 
pfaedit by George Williams (read
ftp://ftp.gnome.ru/fonts/urw/tarballs/README). Nothing was changed in
Latin1 and Latin2 part of these fonts. Font files have the same names. So,
if you download tarball 
ftp://ftp.gnome.ru/fonts/urw/tarballs/urw-fonts-1.0.tar.bz2, find files
with the same names like in /usr/share/eel/fonts and copy them over
"native" eel fonts, everything will be OK with Russian nautilus desktop and
for shure nothing bad will happen for other languages. It will also make
very happy Ukrainians, Bulgarians, Byelorussians, Serbs and other people
who use koi8-*, iso8859-5 and microsoft-cp1251 encodings.
Comment 1 Leonid Kanter 2001-08-28 18:56:53 EDT
Created attachment 29994 [details]
broken gnome desktop after default install
Comment 2 Leonid Kanter 2001-08-28 19:01:35 EDT
Created attachment 30015 [details]
gnome desktop with fonts from ftp.gnome.ru in /usr/share/eel/fonts
Comment 3 Alexander Larsson 2001-08-29 17:30:24 EDT
Should be working in eel-1.0.1-19, we should consider this for the urw-fonts
package too. I'm removing the shouldfix and changing the component to urw-fonts.
Comment 4 Ngo Than 2001-09-25 19:47:34 EDT
added new fonts from here to urw-fonts-2.0-13.

Note You need to log in before you can comment on or make changes to this bug.